rev 14036 - in trunk/packages/kdelibs/debian: . patches

Modestas Vainius modax-guest at alioth.debian.org
Wed Mar 11 11:00:16 UTC 2009


Author: modax-guest
Date: 2009-03-11 11:00:14 +0000 (Wed, 11 Mar 2009)
New Revision: 14036

Added:
   trunk/packages/kdelibs/debian/ban-unstable-uploads
   trunk/packages/kdelibs/debian/patches/24_ban_unstable_uploads.diff
Modified:
   trunk/packages/kdelibs/debian/changelog
   trunk/packages/kdelibs/debian/patches/series
   trunk/packages/kdelibs/debian/rules
Log:
Prepare for upload to unstable and ban unstable uploads of 3rd party
packages (debian/ban-unstable-uploads & 24_ban_unstable_uploads.diff).

Added: trunk/packages/kdelibs/debian/ban-unstable-uploads
===================================================================
--- trunk/packages/kdelibs/debian/ban-unstable-uploads	                        (rev 0)
+++ trunk/packages/kdelibs/debian/ban-unstable-uploads	2009-03-11 11:00:14 UTC (rev 14036)
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+allowed_packages="kde4libs kdepimlibs kdebase-runtime ktorrent"
+
+set -e
+test -x /usr/bin/dpkg-parsechangelog || exit 0
+
+dir=`pwd`
+while [ -n "$dir" ] && [ "$dir" != '/' ]; do
+    if [ -e debian/changelog ]; then
+        source=`/usr/bin/dpkg-parsechangelog | grep '^Source:' | sed 's/^Source:[[:space:]]*\([^[:space:]]\+\).*/\1/'`
+        distro=`/usr/bin/dpkg-parsechangelog | grep '^Distribution:' | sed 's/^Distribution:[[:space:]]*\([^[:space:]]\+\).*/\1/'`
+        if [ "$distro" = "unstable" ] && ! echo $allowed_packages | grep -q "\b$source\b"; then
+            echo "NOTE from Debian KDE maintainers: DO NOT upload KDE 4 based packages to Debian unstable yet" >&2
+            exit 1
+        fi
+    fi
+    dir=`dirname "$dir"`
+    cd "$dir"
+done
+
+exit 0

Modified: trunk/packages/kdelibs/debian/changelog
===================================================================
--- trunk/packages/kdelibs/debian/changelog	2009-03-10 21:40:16 UTC (rev 14035)
+++ trunk/packages/kdelibs/debian/changelog	2009-03-11 11:00:14 UTC (rev 14036)
@@ -12,8 +12,10 @@
     - rename debian/libplasma3.bugscript to debian/libplasma3.bug-script.
   * Bump cmake build depend to 2.6.3. 24_2.6.2_use_common_cmake_config_dir.diff
     dropped.
+  * Prepare for upload to unstable and ban unstable uploads of 3rd party
+    packages (debian/ban-unstable-uploads & 24_ban_unstable_uploads.diff).
 
- -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Mon, 09 Mar 2009 22:29:20 +0200
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Wed, 11 Mar 2009 12:53:40 +0200
 
 kde4libs (4:4.2.1-1) experimental; urgency=low
 

Added: trunk/packages/kdelibs/debian/patches/24_ban_unstable_uploads.diff
===================================================================
--- trunk/packages/kdelibs/debian/patches/24_ban_unstable_uploads.diff	                        (rev 0)
+++ trunk/packages/kdelibs/debian/patches/24_ban_unstable_uploads.diff	2009-03-11 11:00:14 UTC (rev 14036)
@@ -0,0 +1,20 @@
+--- a/cmake/modules/FindKDE4Internal.cmake
++++ b/cmake/modules/FindKDE4Internal.cmake
+@@ -345,6 +345,17 @@
+ # get the directory of the current file, used later on in the file
+ get_filename_component( kde_cmake_module_dir  ${CMAKE_CURRENT_LIST_FILE} PATH)
+ 
++# FTBFS (ban) uploads to Debian unstable
++if (EXISTS "${kde_cmake_module_dir}/ban-unstable-uploads")
++    execute_process(COMMAND "${kde_cmake_module_dir}/ban-unstable-uploads"
++                    RESULT_VARIABLE _ban_unstable_result
++                    ERROR_VARIABLE _ban_unstable_error
++                    OUTPUT_QUIET)
++    if (NOT ${_ban_unstable_result} EQUAL 0)
++        MESSAGE(FATAL_ERROR ${_ban_unstable_error})
++    endif (NOT ${_ban_unstable_result} EQUAL 0)
++endif (EXISTS "${kde_cmake_module_dir}/ban-unstable-uploads")
++
+ # are we trying to compile kdelibs ? kdelibs_SOURCE_DIR comes from "project(kdelibs)" in kdelibs/CMakeLists.txt
+ # then enter bootstrap mode
+ 

Modified: trunk/packages/kdelibs/debian/patches/series
===================================================================
--- trunk/packages/kdelibs/debian/patches/series	2009-03-10 21:40:16 UTC (rev 14035)
+++ trunk/packages/kdelibs/debian/patches/series	2009-03-11 11:00:14 UTC (rev 14036)
@@ -11,3 +11,4 @@
 20_use_dejavu_as_default_font.diff
 22_hack_in_etc_kde4_in_kstandarddirs.diff
 23_solid_no_double_build.diff
+24_ban_unstable_uploads.diff

Modified: trunk/packages/kdelibs/debian/rules
===================================================================
--- trunk/packages/kdelibs/debian/rules	2009-03-10 21:40:16 UTC (rev 14035)
+++ trunk/packages/kdelibs/debian/rules	2009-03-11 11:00:14 UTC (rev 14036)
@@ -18,5 +18,8 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
 
+binary-install/kdelibs5-dev::
+	install -m 755 -o root -g root -D debian/ban-unstable-uploads /usr/share/kde4/apps/cmake/modules/ban-unstable-uploads
+
 #binary-predeb/libplasma3::
 #	echo plasma:abi-provides=$(PLASMA_ABI) >> debian/libplasma3.substvars




More information about the pkg-kde-commits mailing list